package jalview.ws.dbsources;

import static org.testng.Assert.assertEquals;

import jalview.bin.Cache;

import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;

public class PfamSeedTest
{
  @BeforeClass(alwaysRun = true)
  public void setUp()
  {
    Cache.loadProperties("test/jalview/io/testProps.jvprops");
  }

  @Test(groups = "Functional")
  public void testGetURL()
  {
    String path = "pfam.xfam.org/family/ABC/alignment/seed";

    // with default value for domain
    String url = new PfamSeed().getURL(" abc ");
    assertEquals(url, "https://" + path);

    // with override in properties
    Cache.setProperty(Pfam.PFAM_BASEURL_KEY, "http://pfam.xfam.org");
    url = new PfamSeed().getURL(" abc ");
    assertEquals(url, "http://" + path);
  }
}
